# enable_viewer: Toggle whether to build pango-viewer
#      0 = No
#      1 = Yes
%define enable_viewer  1

# external_fribidi: Toggle whether external fribidi library or included
#                   mini-fribidi library should be used
#              0 = included mini-fribidi
#              1 = external fribidi
%define external_fribidi       1
# Version of libraries required
%define req_glib_version       1.3.13
%define req_fribidi_version    0.10.1-2mdk
%define req_freetype2_version  2.0.1

%define major 24

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	0.%{major}
Release:	1mdk
License:	LGPL
Group:		System/Internationalization
BuildRequires: libglib2-devel >= %{req_glib2_version} XFree86-devel >= 4.0.3 
BuildRequires: freetype2-devel >= %{req_freetype2_version}
BuildRequires: pkgconfig >= 0.8
%if %external_fribidi
BuildRequires: libfribidi0-devel >= %{req_fribidi_version}
%endif
%if %enable_viewer
BuildRequires: qt2-devel
%endif

Source:		ftp://ftp.gtk.org/pub/gtk/v1.3/%{name}-%{version}.tar.bz2
# fix compilation with external fribidi
Patch0:     %{name}-0.22-external-fribidi.patch.bz2
URL:		http://www.pango.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#need this since we launch pango-querymodules in %post
PreReq: lib%{name}%{major} 

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n lib%{name}%{major}
Summary: %{summary}
Group:   %{group}
Requires: %{name} >= %{version}

%description -n lib%{name}%{major}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%if %enable_viewer
%package viewer
Summary: Viewer for pango.
Group: System/Internationalization
Requires: lib%{name}%{major} = %{version}

%description viewer
This is the viewer example for pango.
%endif

%package -n lib%{name}%{major}-devel
Summary:  %{summary}
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%{release}
Requires: lib%{name}%{major} = %{version}-%{release}
Requires: libglib2-devel >= %{req_glib_version}
%if %external_fribidi
Requires: libfribidi0-devel >= %{req_fribidi_version}
%endif
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup -q
%patch0 -p1 -b .fribidi

%build

%configure2_5x \
%if %external_fribidi
       --with-fribidi=yes
%else
%endif

%make
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

cp -f pango/opentype/README README.opentype

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango/pango.modules

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS TODO* examples/pangorc README.opentype
%{_bindir}/pango-querymodules
%dir %{_libdir}/pango
%dir %{_libdir}/pango/modules
%{_libdir}/pango/modules/*.so
%dir %{_sysconfdir}/pango
%config(noreplace) %{_sysconfdir}/pango/pango*.aliases
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/pango/pango.modules

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/*%{major}.so

%if %{enable_viewer}
%files viewer
%defattr(-,root,root)
%_bindir/pango-viewer
%endif

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%doc NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/pango
%{_libdir}/libpango.so
%{_libdir}/libpangox.so
%{_libdir}/libpangoxft.so
%{_libdir}/libpangoft2.so
%{_libdir}/pkgconfig/*
%{_libdir}/libpango*.a
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- Release 0.24

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-1mdk
- Release 0.23
- Remove patch1 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-3mdk
- Fix glib dependencies

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-2mdk
- Clean specfile with help from Abel Cheung <maddog@linux.org.hk> :
 - Patch0: Enable building with external fribidi
 - Patch1: Support of Japanese and traditional Chinese from bugzilla
 - Add a few doc
 - Add enable_viewer variable to toggle building pango-viewer
 - Add external_fribidi variable to toggle between using internal
   or external fribidi library
 - Removed various unnecessary Obsoletes
 - BuildRequires libqt2-devel only if viewer is enabled
 - Added missing %%build

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-1mdk
- Release 0.22

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-2mdk
- Fix obsoletes/provide for pango-devel

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-1mdk
- Release 0.21
- Libification

* Wed Oct 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20-1mdk
- updated version
- updated buildrequires

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-5mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.17-4mdk
- BuildRequires:	libglib1.3_6-devel

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-3mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-1mdk
- updated to 0.17
- added docs to the devel package

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-5mdk
- corrected the config files

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-4mdk
- Rebuild for the newest 1.3.5 glib libraries.
- fixed the problem with the missing /var/lib/pango

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-3mdk
- rm -rf $RPM_BUILD_ROOT at %%install to make sure everytime we install a 
  new and shiny and freshly compiled pango.
- Split out the pango-viewer so we don't have to have Qt installed
  in order to use Pango.

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-2mdk
- Rebuild for the newest 1.3.5 glib libraries.

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-1mdk
- Version 0.16 for Gtk+ 1.3.

* Sun Apr 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-6mdk
- fix %%post

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-5mdk
- Change the URL in the Source tag.
- Use of the %%configure macro.

* Wed Jan 17 2001 David BAUDNS <baudens@mandrakesoft.com> 0.9-4mdk
- BuildRequires: libfribidi0-devel
- Spec clean up

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
